Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.datatype
Interface DataTypeVariantInfoSerializer

    public interface DataTypeVariantInfoSerializer

A helper object that can be used to generate the variant info needed to describe a variant of a base data type. This object handles gathering unique variant information, and then serializing it to and from a string representation.

Method Summary
`Object` | `createVariantInfo()` Create a new JavaBean that describes information needed to define a new variant of a base data type.
`Object` | `deserializeVariantInfo(String variantInfo)` Deserialize the string representation of variant info into a descriptor JavaBean that may be edited in a tool environment.
`String` | `serializeVariantInfo(Object variantInfo)` Serialize the given descriptor to a string representation of the variant info it contains.

Method Detail

### createVariantInfo

    Object createVariantInfo()

  Create a new JavaBean that describes information needed to define a new variant of a base data type. Tool environments will treat this descriptor as a standard JavaBean object, and populate its properties in preparation for serialization of the variant info via a call to serializeVariantInfo()

  Returns:

### serializeVariantInfo

    String serializeVariantInfo(Object variantInfo)

  Serialize the given descriptor to a string representation of the variant info it contains.

  Returns:

### deserializeVariantInfo

    Object deserializeVariantInfo(String variantInfo)

  Deserialize the string representation of variant info into a descriptor JavaBean that may be edited in a tool environment.

  Parameters:
    `variantInfo` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD